##
##  neo4j-apoc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         neo4j-apoc
Summary:      Neo4J Plugin: APOC Procedures
URL:          https://r.neo4j.com/apoc
Vendor:       Neo4J Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      Apache
Version:      4.4.0.28
Release:      20240513

#   list of sources
Source0:      https://github.com/neo4j-contrib/neo4j-apoc-procedures/releases/download/%{version}/apoc-%{version}-all.jar
Source1:      neo4j-apoc.conf

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, neo4j

%description
    This is a Neo4J plugin. The APOC (A Package of Components) library
    consists of many (about 450) procedures and functions for Neo4J to
    help with many different tasks in areas like data integration, graph
    algorithms or data conversion.

%track
    prog neo4j-apoc = {
        version   = %{version}
        url       = https://github.com/neo4j-contrib/neo4j-apoc-procedures/releases
        regex     = apoc-(__VER__)-all\.jar
    }

%prep
    %setup -q -T -c

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/share/neo4j-apoc \
        $RPM_BUILD_ROOT%{l_prefix}/lib/neo4j/plugins
    %{l_shtool} install -c -m 644 \
        %{SOURCE neo4j-apoc.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/share/neo4j-apoc/
    %{l_shtool} install -c -m 644 \
        %{SOURCE apoc-%{version}-all.jar} \
        $RPM_BUILD_ROOT%{l_prefix}/lib/neo4j/plugins/apoc.jar
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

%post
    if [ ".$1" = .1 ]; then
        #   add hook to PHP configuration
        neo4jconf="$RPM_INSTALL_PREFIX/etc/neo4j/neo4j.conf"
        if [ -f $neo4jconf ]; then
            cat $RPM_INSTALL_PREFIX/share/neo4j-apoc/neo4j-apoc.conf | \
            $RPM_INSTALL_PREFIX/lib/openpkg/rpmtool config \
                -a -i "$RPM_INSTALL_PREFIX:neo4j-apoc" -p "#" $neo4jconf
        fi
    fi

%postun
    if [ ".$1" = .0 ]; then
        #   remove hook from PHP configuration
        neo4jconf="$RPM_INSTALL_PREFIX/etc/neo4j/neo4j.conf"
        if [ -f $neo4jconf ]; then
            $RPM_INSTALL_PREFIX/lib/openpkg/rpmtool config \
                -r -i "$RPM_INSTALL_PREFIX:neo4j-apoc" -p "#" $neo4jconf
        fi
    fi

